ThinkPHP V5.1.39 LTS Validate.php line 38报错

浏览:318 发布日期:2021/03/04 分类:ThinkPHP5专区 关键字: 不兼容7.4一下版本使用验证器会报错
不兼容7.4一下版本使用验证器会报错
[0] ThrowableError in Validate.php line 38
Parse error: syntax error, unexpected 'array' (T_ARRAY), expecting function (T_FUNCTION) or const (T_CONST)     */
    protected $alias = [
        '>' => 'gt', '>=' => 'egt', '<' => 'lt', '<=' => 'elt', '=' => 'eq', 'same' => 'eq',
    ];

    /**
     * 当前验证规则
     * @var array
     */
    protected array $rule = [];

    /**
     * 验证提示信息
     * @var array
     */
    protected array $message = [];

    /**
     * 验证字段描述
最佳答案
评论( 相关
后面还有条评论,点击查看>>